rpmps.h File Reference
(un)Installing packages: » Problem Set API.

Structures and prototypes used for an "rpmps" problem set. More...

`#include <stdio.h>`
`#include <rpm/rpmtypes.h>`
`#include <rpm/rpmprob.h>`
Include dependency graph for rpmps.h:

Go to the source code of this file.

## Typedefs

typedef struct rpmpsi_s * | rpmpsi
| Problem set iterator. More...

## Functions

rpmps | rpmpsLink (rpmps ps)
| Reference a problem set instance. More...
int | rpmpsNumProblems (rpmps ps)
| Return number of problems in set. More...
rpmpsi | rpmpsInitIterator (rpmps ps)
| Initialize problem set iterator. More...
rpmpsi | rpmpsFreeIterator (rpmpsi psi)
| Destroy problem set iterator. More...
rpmProblem | rpmpsiNext (rpmpsi psi)
| Return next problem from iterator. More...
int | rpmpsNextIterator (rpmpsi psi)
| Return next problem set iterator index. More...
rpmProblem | rpmpsGetProblem (rpmpsi psi)
| Return current problem from problem set. More...
rpmps | rpmpsCreate (void)
| Create a problem set. More...
rpmps | rpmpsFree (rpmps ps)
| Destroy a problem set. More...
void | rpmpsPrint (FILE *fp, rpmps ps)
| Print problems to file handle. More...
void | rpmpsAppendProblem (rpmps ps, rpmProblem prob)
| Append a problem to current set of problems. More...
int | rpmpsMerge (rpmps dest, rpmps src)
| Merge problem set into another. More...

## Detailed Description

Structures and prototypes used for an "rpmps" problem set.

Definition in file rpmps.h.